# Surgeweb newlook module that implements the newlook "minimalist" look

(function(){
	var menu_loud_col=[0,0,0,0];
	var menu_faded_col=[0,0,0,0];
	
	var obj = { 
		alt_ui_interface:alt_ui_plain_interface, resize:alt_ui_plain_resize, config: plain_config, 
		format_scrollbar:format_scrollbar, toggle_searchparam:toggle_searchparam, msglist_unsearch:msglist_unsearch,
		central_css:central_css
	};
	
	function alt_ui_plain_interface()
	{	
		var el = alt_ui_prep();
	
#	Setup structure using HTML	
		el.innerHTML='||html_begin()||\
		
# 			Menu and search area topleft	
			<div style="width:200px;height:64px;overflow-y:none;position:absolute; left:0px;top:0px;">
			 <div id="search_etc" class="faded_color" style="_background:#f9f9f9;">
			 	<div id="alt_ui_settings" style=""><img src="||one_pix||" class="altui_burger"></div>
			 	<div id="alt_ui_search_box" class="faded_color" style="">
			 		<img src="||one_pix||" class="altui_search">\
					<div id="alt_ui_search_hint" value="Search">Search</div>\
					<input id="alt_ui_search">\
			 	</div>
#				<img src="||www_base||shared/img/altui_loading3.gif" style="position:absolute;right:4px; height:38px; width:38px; top:4px;">\
			 	<div id="alt_ui_search_param" style="position:absolute;height:44px;left:0px;right:0px;padding:15px; text-align:right;"> 
			 		Searching:
			 		<a href="#" style="border:1px solid black;padding:4px;border-radius:3px;margin-right:10px;margin-left:10px;text-decoration:none;">Inbox</a> 
			 		<a href="#" style="border:1px solid black;padding:4px;border-radius:3px;margin-right:10px;text-decoration:none;">Recent Folders</a> 
			 		<a href="#" style="border:1px solid black;padding:4px;border-radius:3px;margin-right:10px;text-decoration:none;">All Folders</a> 
			 		<a href="#" style="padding:4px;border-radius:3px;margin-right:10px;text-decoration:none;">Advanced...</a>
			 	</div>
			 	<div id="alt_ui_separator" style=""></div>
			 </div>			 
			</div>

# 			Left folders list display
			<div style="position:absolute;overflow:hidden;left:0px;background:white;">
			 <div id="folders_section" style="overflow-y:scroll;overflow-x:hidden;position:absolute;-webkit-overflow-scrolling:touch; top:0;left:0;right:0;bottom:0;" onscroll="plain_look.format_scrollbar(\'folders_section\', \'folders_scrollbar\'); message_scrolled(event);">
			  <div id="folders" class="fldlist_color" style="_background-color:#ddeefb;"></div>
			 </div>
			 <div id="folders_scrollbar" style="right: 1px; width: 10px; top: 1px; bottom: 1px; position:absolute;"><div class="min_scroll_bar" style="height: 320px; top: 2px; opacity: 1.000;"><div class="min_scroll_inner"></div></div></div>
			</div>
		 	<div id="settings_panel" style="background:white;z-index:1000; position:absolute; bottom:0px; height:44px;">
			 	<img src="||one_pix||" class="altmenu_accounts" title="Account Settings" onclick="app_menu(`mail`,this)" style="left:14px;">
			 	<img src="||one_pix||" class="altmenu_contacts" onclick="app_menu(`contacts`,this)" style="left:59px;">
			 	<img src="||one_pix||" class="altmenu_calendar" onclick="app_menu(`calendar`,this)" style="left:104px;">
			 	<img src="||one_pix||" class="altmenu_theme" onclick="std_ui()" title="Select Theme" style="left:149px;">
			</div>
			
# 			Center/left message list display			
			<div class="animated_pos faded_color" style="position:absolute;overflow:hidden;left:200px;_background:#f9f9f9;">
			 <div id="messages_list_section" style="overflow-y:scroll;overflow-x:hidden;position:absolute;-webkit-overflow-scrolling:touch; top:0;left:0;right:0;bottom:0;" onscroll="debugger;plain_look.format_scrollbar(\'messages_list_section\', \'messages_scrollbar\'); message_scrolled(event);">
			  <div id="list_extra" class="hidden"></div>
			  <div id="messages_list" class="faded_color" style="_background-color:#f9f9f9; ||iftrue(alt_scroll)||overflow-y:scroll;||endif||" 
					onmousedown="return msg_list_mousedown(event);" onmouseup="return msg_list_mouseup(event);" onclick="return msg_list_click(event);" ondblclick="msg_list_dblclick(event)" oncontextmenu="return false;"
					ontouchstart="touchStart(event);" ontouchmove="touchMove(event); event.stopPropagation();" ontouchend="touchEnd(event);" ontouchcancel="touchCancel(event);"> </div>
 		 	 </div>
			 <div id="messages_scrollbar" style="right: 1px; width: 10px; top: 1px; bottom: 1px; position:absolute;"><div class="min_scroll_bar" style="height: 232px; top: 2px; opacity: 1.000;"><div class="min_scroll_inner"></div></div></div>
			</div>

#			Right column (primarily message display)
			<div style="overflow:none;position:absolute; left:500px;">
			 <div id="message_preview" style="background-color:white;" onscroll="plain_look.format_scrollbar(\'message_preview\', \'message_scrollbar\'); message_scrolled(event);"></div>

			 <div id="alt_buttons_top" class="alt_buttons_top alt_buttons faded_color" _style="position:absolute;_background:#f9f9f9;">
# centered img button
#				<div id="toolbar-reply-menu" class="alt_button" onclick="do_compose()"><img src="||www_base||shared/img/1pixel.gif" class="alt_popout" onclick="popout_edit()" title="$$st_cmd_popout_tt$$" align="middle"></div>	

				<div id="altmenu_reply" class="alt_button" onclick="do_reply()" title="Reply"><img src="||one_pix||" class="std_img reply"></div>
				<div id="altmenu_flag" class="alt_button" onclick="do_toggle_flagged()"><img src="||one_pix||" class="std_img flag"></div>
				<div id="altmenu_delete" class="alt_button" onclick="do_delete()"><img src="||one_pix||" class="std_img trash"></div>
				<div id="altmenu_archive" class="alt_button" onclick="do_move_actual(pref.special_done);"><img src="||one_pix||" class="std_img archive"></div>
				<div id="altmenu_moveto" class="alt_button" onclick="move_menu(event,`button`);"><img src="||one_pix||" class="std_img move"></div>
				<div id="altmenu_compose" class="alt_button" onclick="do_compose()"><img src="||one_pix||" class="std_img compose_btn"></div>
				<div id="altmenu_more" class="alt_button" onclick="do_more_show(event)"><img src="||one_pix||" class="std_img more_btn"></div>
 			 </div>
			 <div id="alt_buttons_prescroll" class="hidden" style="position:absolute; top:0px; left:360px; padding-right:5px; font-weight:bold;" >Message Subject</div>
			 <div id="alt_buttons_links" style="position:absolute; top:0px; right:0px; padding-right:5px;" ><a href="#" class="plain_link" onclick="do_menu_show(`top_menu_options`,event,true)">'+email+'</a> | <a onclick="do_logout()">Log out</a></div>
			 <div id="message_scrollbar" style="right: 1px; width: 10px; top: 1px; bottom: 1px; position:absolute;" onmousemove="plain_look.format_scrollbar()"><div class="min_scroll_bar" style="height: 232px; top: 2px; opacity: 1.000;"><div class="min_scroll_inner"></div></div></div>
			</div>
	
# 			Extras
			<div id="alt_overlay_pane" class="alt_compose hidden" style="_width:600px;height:700px;overflow-y:hidden;position:absolute; left:550px;right:50px;top:300px;">
			 <div style="height:36px; background:white;" onclick="do_close()">
				<div style="position:absolute;top:0;left:0;" onclick="stopEvent(event);">
#				 	<div onclick="do_send()" class="edit_image_button">
#						<img src="||www_base||shared/img/1pixel.gif" class="alt_popout" onclick="popout_edit()" title="$$st_cmd_popout_tt$$" _align="middle">
#				 	</div> 

				 	<div onclick="do_send()" class="edit_text_button">Send</div> 
				 	<div onclick="do_send_move(event)" class="edit_text_button">$$st_cmd_senddone$$</div> 
				 	<div onclick="do_save_draft()" class="edit_text_button">Save Draft</div> 
				 	<div onclick="edit_discard()" class="edit_text_button">Discard</div> 
				 	<div onclick="do_attach_init(true)" class="edit_text_button">Attachments</div>

#				 	<div onclick="do_attach_init(true)" class="edit_image_button">
#						<img src="||www_base||shared/img/1pixel.gif" class="alt_popout" onclick="popout_edit()" title="$$st_cmd_popout_tt$$" _align="middle">
#				 	</div>
				</div>
			 	<div style="position:absolute;top:0;right:0;">
#					<div onclick="do_close()" class="edit_image_button" >
#						<img src="||www_base||shared/img/1pixel.gif" class="alt_popout" onclick="popout_edit()" title="$$st_cmd_popout_tt$$" _align="middle">
#					</div>
#					<div onclick="do_close()" class="edit_text_button" >close</div>
					<div onclick="do_close()" class="edit_image_button" >
						<img src="||www_base||shared/img/1pixel.gif" class="alt_popout" onclick="popout_edit()" title="$$st_cmd_popout_tt$$" _align="middle">
					</div>
				</div>
			 </div>
			 <div id="utility_alt2" style="background-color:pink; width:100%; height:664"></div>
			</div>
			
			<div class="alt_scrubber" style="width:5px;height:100%;position:absolute; left:500px;top:0px;cursor:col-resize;">
			 <div id="alt_scrubber_bar" style="width:2px;height:100%; border-right:1px solid #ddd;"></div>
			</div>
			
			
			<div id="switcher" class="hidden" style="position:absolute;background:lightgray;right:0px;height:44px;"></div>
			<div id="alt_status_container"><table><tr><td><div id="status" class="hidden"></div></td></tr></table></div>

			
			<div id="alt_slideup" class="hidden alt_slideup">
			  <div class="" style="background:pink; width:100%; height:100%;">
				<div id="lpanel_contacts_alt" class="" style="position:absolute;background:#bbb;left:0px;top:32px;height:100%;width:200px;"></div>
				<div id="lpanel_calendar_alt" class="" style="position:absolute;background:#bbb;left:0px;top:32px;height:100%;width:200px;"></div>
				<div id="utility_alt" style="position:absolute;background-color:pink; left:200px; width:100%; height:100%"></div>
			  </div>
			</div>
			||html_end()||';
	
//			dge('messages_list').style.height='400px'; 
	
#	// Setup look using dynamic CSS
		assign_dynamic_css('newlook_altui_css', '||css_begin()||\
			#search_etc{
				background:white;
				height:44px;
			}
			#alt_ui_settings{
				width: 500px; height:44px;
				position:absolute; top:0; left:0;
				background:#f9f9f9;;
				_padding:10px; overflow:hidden;
			}
			#alt_ui_settings img, #settings_panel img{
				width:42px; height:42px;
				position:absolute; top:2px; left:6px;
#				width:32px; height:32px;
#				position:absolute; top:6px; left:10px;
			}
			#alt_ui_search_box{
				width:100%; height:44px;
				position:absolute; top:0; left:60px;
				border-left:1px solid #ccc; _background:#f9f9f9;;
				overflow:hidden;
			}
			#alt_ui_search_box img{
				width:42px; height:42px;
				position:absolute; top:0px; left:2px;
			}
			#alt_ui_search_box div{
				position:absolute; top:9px; left:50px;
				color:#ccc;
				font-size:200%;
			}
			#alt_ui_search_box input{
				position:absolute; top:8px; left:50px; right:10px;
				border:none; outline:none; background:none;
				font-size:200%;
			}
			#alt_ui_actions{
				width: 500px; height:44px;
				position:absolute; top:0; left:440px;
				border-left:1px solid #ccc; background:#f9f9f9;;
				_padding:10px; overflow:hidden;
			}
			#alt_ui_actions img{
				width:32px; height:32px;
				position:absolute; top:6px; left:10px;
			}
			#alt_ui_separator{
				width: 600px; height:1px;
				position:absolute; top:44px; left:0px;
				border-top:1px solid #ccc;
			}
			.folder_toggle{
				width:16px;height:16px; 
				border-right:1px solid #ccc;
				padding:2px;
			}
			.animated_resize {
				transition:all 0.3s ease-out;
			}
			.alt_scrubber{
				width:5px;height:100%;
				position:absolute; top:0px; left:500px;
				cursor:col-resize;
			}
			.alt_scrubber_bar{
				width:2px;height:100%; 
				border-right:1px solid #ddd;
			}
			.alt_compose{
				box-shadow: 0px 0px 20px #000;
#				border:2px solid blue;
			}
	
			#messages_list a{
				color:black;
			}
			.alt_buttons_top{
				position:absolute; background:white;
				top:0;right:0px; width:600px; height:64px;
				border-bottom:1px solid #ccc;
			}
			
			.alt_buttons div{
				display:inline-block;
			}
			
			.alt_buttons img.reply {
			    background-image: url(||www_base||shared/img/altui_actions.png); background-position: -0px -0px; background-repeat: no-repeat;
			}
			.alt_buttons img.trash {
			    background-image: url(||www_base||shared/img/altui_actions.png); background-position: -42px -0px; background-repeat: no-repeat;
			}
			.alt_buttons img.archive {
			    background-image: url(||www_base||shared/img/altui_actions.png); background-position: -84px -0px; background-repeat: no-repeat;
			}
			.alt_buttons img.flag {
			    background-image: url(||www_base||shared/img/altui_actions.png); background-position: -126px -0px; background-repeat: no-repeat;
			}
			.alt_buttons img.move {
			    background-image: url(||www_base||shared/img/altui_actions.png); background-position: -168px -0px; background-repeat: no-repeat;
			}
			.alt_buttons img.compose_btn {
			    background-image: url(||www_base||shared/img/altui_actions.png); background-position: -210px -0px; background-repeat: no-repeat;
			}
			.alt_buttons img.more_btn {
			    background-image: url(||www_base||shared/img/altui_actions.png); background-position: -252px -0px; background-repeat: no-repeat;
			}

			.alt_buttons img.reply:hover {
			    background-position: -0px -42px; cursor: pointer;
			    transform: scale(1.05);
			}
			.alt_buttons img.reply:active {
			    transform: scale(0.95);
			}
			
			.alt_buttons img.flag:hover {
			    background-position: -126px -42px; cursor: pointer;
			    transform: scale(1.05);
			}
			.alt_buttons img.flag:active {
			    transform: scale(0.95);
			}
			.alt_buttons img.trash:hover {
			    background-position: -42px -42px; cursor: pointer;
			    transform: scale(1.05);
			}
			.alt_buttons img.trash:active {
			    transform: scale(0.95);
			}
			.alt_buttons img.archive:hover {
			    background-position: -84px -42px; cursor: pointer;
			    transform: scale(1.05);
			}
			.alt_buttons img.archive:active {
			    transform: scale(0.95);
			}
			.alt_buttons img.move:hover {
			    background-position: -168px -42px; cursor: pointer;
			    transform: scale(1.05);
			}
			.alt_buttons img.move:active {
			    transform: scale(0.95);
			}
			.alt_buttons img.compose_btn:hover {
			    background-position: -210px -42px; cursor: pointer;
			    transform: scale(1.05);
			}
			.alt_buttons img.compose_btn:active {
			    transform: scale(0.95);
			}
			.alt_buttons img.more_btn:hover {
			    background-position: -252px -42px; cursor: pointer;
			    transform: scale(1.05);
			}
			.alt_buttons img.more_btn:active {
			    transform: scale(0.95);
			}
			
			.alt_buttons .std_img {
			    height: 35px;
			    width: 34px;
			    left: 1px;
			    margin-right: 0px;
			}
			.alt_buttons .std_img {
			    vertical-align: middle;
			    margin-right: 2px;
			    position: relative;
			    top: 0px;
			    left: -2px;
			}
			.alt_button{
				margin-left: 15px; width: 42px; top: 0px; height: 42px;
			}
			
			.min_scroll_bar {
			    width: 7px; position: absolute; overflow: hidden;
			}
			.min_scroll_bar .min_scroll_inner {
				position: absolute; 
				width: 7px; left: 0px; top: 10px; bottom: 10px;
			}
			.min_scroll_bar .min_scroll_inner {
				background: rgba(0,0,0,0.5);
			}			
			.min_scroll_bar .min_scroll_inner:before{
				position: absolute;
				border-top-left-radius: 50%; border-top-right-radius: 50%;
				width: 7px; left: 0px; height: 10px; top: 0px;
				margin-top: -10px;
			}
			.min_scroll_bar .min_scroll_inner:after {
				position: absolute;
				border-bottom-left-radius: 50%; border-bottom-right-radius: 50%;
				width: 7px; left: 0px; height: 10px; bottom: 0px;
				margin-bottom: -10px;
			}
			.min_scroll_bar .min_scroll_inner:before, .min_scroll_bar .min_scroll_inner:after {
			    content: \'\';
			    background: rgba(0,0,0,0.5);
			}
			.collapsed {
			  transform: scale(1, 0.4);
			  transform-origin: top;
			}
			.raw_links{
				right:22px; 
			}
			#settings_panel {
				position:absolute;
			}
			#status_container {
				position:absolute;
				bottom:0px;
				height:30px;
				width:300px;
				background:green;
			}
			
			.edit_text_button{
				display:inline-block; margin:8px; padding:2px 7px;
				border:1px solid #0063cc; border-radius:3px; 
				color:#0063cc;
			}
			.edit_text_button:hover{
				border:1px solid #007aff;
				color:#007aff;
			}
			.edit_image_button {
				display:inline-block; margin-left:10px; margin-right:10px;
				vertical-align: middle;
				height:26px;
				margin-top:8px;
			}			
			.edit_image_button img {
				margin-bottom:-10px;
			}
			.amsg_class{
				height:44px !important;
			}
			
			.alt_popout{
				background: url(||www_base||shared/img/sw_img.png?||vz||) -86px -0px;
				width:19px;
				height:19px;
			}
			.alt_popout:hover{
				background: url(||www_base||shared/img/sw_img.png?||vz||) -86px -20px;
			}
			.alt_slideup{
				position:absolute; 
				background:red; 
				width:100%; height:100%;
				top:0px;left:0px;
			}
			.flist_link{
				display:none;
			}
			.invite_info, .spam_info, #images_disabled {
				margin-left: 3px;			
			}		
			
			.altui_burger {
			    background-image: url(||www_base||shared/img/altui_menu.png); background-position: -0px -42px; background-repeat: no-repeat;
			}
			.altui_search {
			    background-image: url(||www_base||shared/img/altui_menu.png); background-position: -42px -42px; background-repeat: no-repeat;
			}

			.altmenu_accounts {
			    background-image: url(||www_base||shared/img/altui_menu.png); background-position: -0px -0px; background-repeat: no-repeat;
			}
			.altmenu_contacts {
			    background-image: url(||www_base||shared/img/altui_menu.png); background-position: -42px -0px; background-repeat: no-repeat;
			}
			.altmenu_calendar {
			    background-image: url(||www_base||shared/img/altui_menu.png); background-position: -84px -0px; background-repeat: no-repeat;
			}
			.altmenu_theme {
			    background-image: url(||www_base||shared/img/altui_menu.png); background-position: -126px -0px; background-repeat: no-repeat;
			}

			._fldlist_color{
				background-color:#ddeefb;
			}
		||css_end()||' + extra_msg_padding());
		
#		// Setup behaviour using EVENTS
//		el = dge('alt_ui_settings');
//		el.onclick = function(e){
//			alt_resize_menu(1);
//		}
//		el = dge("alt_ui_search_box"); 
//		el.onclick=function(e){
//			dge('alt_ui_search').focus();
//			alt_resize_menu(2);
//			stopBubble(e);
//		}
		el = dge("alt_ui_search");
		el.onchange=function(e){
#			alert('changed');
		}
		el.onkeyup=function(e){
			stopBubble(e);
		}
		el.onkeydown=function(e){
			search_resize(dge("alt_ui_search"));
			setTimeout(function(){
				update_hint(dge('alt_ui_search'),dge('alt_ui_search_hint'));
			},0);
			stopBubble(e);
		}
		el.onkeyup=function(e){
			search_keyup(e);
			stopBubble(e);			
		}
		el = dge("alt_ui_settings");
		el.onclick = function(e){
			var btn = dge("alt_ui_settings");
			var inner=dge('messages_list');
			var settings=dge('settings_panel');
			var outer=inner.parentNode.parentNode;
			if(outer.offsetLeft>0 && outer.old_left==U){
				outer.old_left = outer.offsetLeft;
				outer.old_width = outer.offsetWidth;
			}
			class_add(outer,'animated_resize');
			class_add(inner.parentNode,'animated_resize');
			class_add(inner,'animated_resize');
			class_add(settings,'animated_resize');
			
			debugger
			if(outer.offsetLeft>0){
				outer.style.left=0;
				outer.style.width = px(outer.old_left + outer.old_width);
				inner.parentNode.style.width = px(outer.old_left + outer.old_width+17);
				inner.style.width = px(outer.old_left + outer.old_width/*-17*/);
#				dge('alt_folder_toggle').innerHTML='&nbsp;&gt;';
#				btn.style.background='#ddeefb';
				class_add(btn,'loud_color');
				class_remove(btn,'faded_color');
				settings.style.zIndex=0;
			}else{
				outer.style.left = px(outer.old_left);
				outer.style.width = px(outer.old_width);
				inner.parentNode.style.width = px(outer.old_width+17*2);
				inner.style.width = px(outer.old_width/*-17*/);
#				dge('alt_folder_toggle').innerHTML='&nbsp;&lt;';
#				btn.style.background='#f9f9f9';
				class_add(btn,'faded_color');
				class_remove(btn,'loud_color');
				settings.style.zIndex=+1;
			}
			clearTimeout(inner.timer);
			inner.timer = setTimeout(function(){
				class_remove(inner,"animated_resize");
				class_remove(inner.parentNode,"animated_resize");
				class_remove(outer,"animated_resize");
				class_remove(settings,"animated_resize");
			}, 320);
		}
		sw.btns_toggle = 1;
	}

	function alt_ui_plain_resize()
	{
//		class_remove(dge("alt_ui_settings"),"animated_resize");
//		class_remove(dge("alt_ui_search_box"),"animated_resize");
//		class_remove(dge("alt_ui_actions"),"animated_resize");
		class_remove(dge("messages_list"),"animated_resize");
		class_remove(msglist_to_outer(dge("messages_list")),"animated_resize");

		var pos = {	
			left2:msglist_to_outer(dge('messages_list')).offsetLeft, 
			left3:dge('message_preview').parentNode.offsetLeft, 
			search_height:44+1/*+22*/,
			menu_height:44
		};

		var w_screen = ClientWidth();
		var h = ClientHeight();

		var scrolbar_sz = 17;

		var lst_el = dge('search_etc');
		set_hw(lst_el,true,pos.search_height,pos.left3,false);	
		set_w(dge("alt_ui_search"), pos.left3-120);

		var el_searchparam = dge('alt_ui_search_param');
		el_searchparam.style.top = px(pos.search_height);
		if(sw.show_search_param){
			pos.search_height += 44;
		}


		var fldlist_h = h-pos.search_height-pos.menu_height;

		var lst_el = dge('folders');
		var outer = fldlist_to_outer(lst_el);
		fldlist_to_outer(lst_el).style.top = px(pos.search_height/*+45*/);
		debugger
		set_hw(outer,false,fldlist_h ,pos.left2+scrolbar_sz,true);
		var hhh=fldlist_h;
		if(lst_el.firstChild && lst_el.firstChild.scrollHeight>hhh){
			hhh=lst_el.firstChild.scrollHeight;
		}
		
		set_hw(lst_el, false, hhh-44*0,pos.left2+scrolbar_sz,true);
		set_w(lst_el.parentNode, pos.left2+scrolbar_sz, false);

		var mnu_el=dge('settings_panel');
		set_hw(mnu_el, false, pos.menu_height, pos.left2, false);
#		class_add(mnu_el, 'hidden');

		//var settings_el = dge('settings_panel');
		//settings_el.style.top = px(hhh-44);

		var lst_el = dge('messages_list');
		var msglist_h = h-pos.search_height;
		var msglist_h2 = lst_el.scrollHeight-44;

		var outer = msglist_to_outer(lst_el);
		outer.style.top = px(pos.search_height);
		set_hw(outer,false,msglist_h,pos.left3-pos.left2+scrolbar_sz,true);
		set_hw(lst_el,false,msglist_h2,pos.left3-pos.left2+scrolbar_sz,true);
		set_w(lst_el.parentNode, pos.left3-pos.left2+scrolbar_sz, false);

		var el_switcher=dge('switcher');
		el_switcher.style.left = px(pos.left3+1);
		el_switcher.style.top = px(h-44);
		if(el_switcher.childNodes.length<2){
			class_add(el_switcher,'hidden');
		}else{
			class_remove(el_switcher,'hidden');
		}
		

		var w_c3 = ClientWidth()-pos.left3;
		var msg_el = dge('message_preview');
		var bts_el = dge('alt_buttons_top');
		var outer = msg_el.parentNode;
		outer.style.top = px(0);
		set_hlr(outer,h-44,500,w_screen);
		set_hlr(bts_el,43,0,w_c3-4);
		set_hlr(msg_el, h-44, 0, w_c3+scrolbar_sz);
				
		var o=sw.active;
		if (class_contains(o,'compose')){
			var a_pane = dge('alt_overlay_pane');
		
		
			var xx={};
			xx['chdr_h']=o.compose_header.offsetHeight;
			var ef = o.field_xeframe.firstChild;			
#			if(pref.editor_textonly){
#				ef.style[htype]=px(xx['cc_h']-(xx['mnu_h']+xx['chdr_h']) - panel_gap - 4 - 24);
#				ef.style['width']=px(xx['cc_w'] - panel_gap - 4 - 24);
#			}else{
				debugger
				
				
				ef.style['height']=px(a_pane.offsetHeight-160);//px(xx['cc_h']-(xx['mnu_h']+xx['chdr_h']) - panel_gap - 4);
#			}
		}else{
#			o.style['height']=px(xx['cc_h']-xx['mnu_h']-2);
		}
		
#		if(sw.active.resize) sw.active.resize(xx['cc_h']-xx['mnu_h']-2,xx['cc_w']);				
				
		format_scrollbar('folders_section', 'folders_scrollbar');
		format_scrollbar('messages_list_section', 'messages_scrollbar');
		format_scrollbar('message_preview', 'message_scrollbar');		
	}
	function plain_config()
	{
		return 'No extra settings';
	}
	function msglist_to_outer(el)
	{
		return el.parentNode.parentNode;
	}
	function fldlist_to_outer(el)
	{
		return el.parentNode.parentNode;
	}
		
	function toggle_buttons()
	{
		if(!sw.btns_toggle) sw.btns_toggle=0;
		sw.btns_toggle = (sw.btns_toggle+1)%3;
		var btns1 = dge('alt_buttons_top');
		var btns2 = dge('alt_buttons_bottom');
		class_remove(btns1,'hidden');
		class_remove(btns2,'hidden');
		if(sw.btns_toggle==1){
			class_add(btns1,'hidden');
		} else if(sw.btns_toggle==2){
			class_add(btns1,'hidden');
			class_add(btns2,'hidden');
		} else { 
		}
		scroll_msg();
	}
	
	var scrollbar = {};
	function format_scrollbar(base, bar)
	{
		var o = dge(base);
		if(!o) return;
		debugger

		if(!o.scrollbar) {
			o.scrollbar={};
			o.scrollbar.base = base; 	//'message_preview';
			o.scrollbar.bar = bar;	//'message_scrollbar';
		}
		var el = dge(o.scrollbar.base);

		var h1 = el.scrollHeight;	// total
		var h2 = el.scrollTop;		// scrolled
		var h3 = el.offsetHeight;	
		var h4 = el.clientHeight;

		var view_ratio = el.clientHeight / el.scrollHeight;
		var scrollbar_port = el.clientHeight - 2*10;
		var scrollbar_ratio = 1;
		if(el.scrollHeight!=el.clientHeight){
			scrollbar_ratio = el.scrollTop /(el.scrollHeight-el.clientHeight);
		}

		var scrollbar = dge(o.scrollbar.bar);
		class_remove(first_child(scrollbar), 'hidden');

		var scrollbar_height = view_ratio*scrollbar_port;
		var scrollbar_position = (el.clientHeight-scrollbar_height-2*10)*scrollbar_ratio + 10;

		scrollbar.style.top = px(scrollbar_position);
		first_child(scrollbar).style.height = px(scrollbar_height);

		if(view_ratio>0.999){
			class_add(first_child(scrollbar), 'hidden');
			return;		
		}

		clearTimeout(scrollbar.timer_hide);
		scrollbar.timer_hide = setTimeout(function(o){
			var el = dge(o.scrollbar.bar);
			if(!el) return;
			class_add(first_child(el), 'hidden');
		},700,o);
	}		

	function toggle_searchparam()
	{
		sw.show_search_param = !sw.show_search_param;
		alt_ui_plain_resize();
	}
		
	newlook_register('plain', 'plain', obj, {alt:true});
	window.plain_look = obj;
	
#	document.body.ontouchmove = function(e){
#		preventDefault(e);
#	};

	function search_resize(el)
	{
		var len = el.value.length;
		if(len<20) {
			el.style.fontSize = '200%';
		} else if (len<35) {
			el.style.fontSize = '170%';
		} else {
			el.style.fontSize = '135%';
		}
	}

	function msglist_unsearch()
	{
		var el = dge("alt_ui_search");
		el.value='';
		search_resize(el);
	}
	
	function central_css(src,cs)
	{
		var col = cs.one_color;
		var loud_col, faded_col, cursor_col;
		
		var default_loud_col = rgb2hsl(rgb_init(0xdd,0xee,0xfb));
#			rgb: #ddeefb
#			hsl: [0.5722222222222222, 0.7894736842105262, 0.9254901960784314, 1]

		if(src=='default'){
			loud_col = default_loud_col;
			faded_col = rgb2hsl(rgb_init(0xf9,0xf9,0xf9));
			cursor_col = rgb2hsl(rgb_init(0xd6,0xe4,0xe9));
		}else if(src=='anycolor'){
			loud_col= hsl_max_l(hsl_modulate(col,0,+0.5,+0.9),0.8);	// #ddeefb

#			loud_col[hsl_s]=default_loud_col[hsl_s]; loud_col[hsl_l]=default_loud_col[hsl_l];
			loud_col[hsl_s]=default_loud_col[hsl_s]+(col[hsl_s]-default_loud_col[hsl_s])*0.2; 
			loud_col[hsl_l]=default_loud_col[hsl_l]+(col[hsl_l]-default_loud_col[hsl_l])*0.05; 

			faded_col= hsl_modulate(col,0,-0.2,+0.97);					// #f9f9f9
			cursor_col = hsl_modulate(loud_col,0,-0.2,-0.07);			
		}else{
			return'';
		}
		var txt = '';		
		txt += '.fldlist_color { background-color:'+hsl_out(loud_col)+';}';	// QQPP
		txt += '.faded_color { background-color:'+hsl_out(faded_col)+' !important;}';
		txt += '.loud_color { background-color:'+hsl_out(loud_col)+' !important;}';
		
		txt += '#folders .part_cursor:hover, #folders .part_cursor a:hover {background:'+hsl_out(cursor_col)+'}';	
		txt += '.ftree .selected{background:'+hsl_out(cursor_col)+';}';		
		
		return txt;
	}
})();
# NO CODE BELOW HERE

function do_close()
{
	var el = dge('alt_overlay_pane');
	class_add(el,'hidden');
	windows_manager_tabsformat();		
	
//	"alt_overlay_pane"
//	window_manager_killpane(sw.active);
}
